Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identifies the resource.

Example:

"1293384261075731499"

Body

application/json

Parameters that can be updated in a TeXML Application

friendly_name
string
required

A user-assigned name to help manage the application.

Example:

"call-router"

voice_url
string<uri>
required

URL to which Telnyx will deliver your XML Translator webhooks.

Example:

"https://example.com"

active
boolean
default:true

Specifies whether the connection can be used.

Example:

false

anchorsite_override
enum<string>
default:Latency

Latency directs Telnyx to route media through the site with the lowest round-trip time to the user's connection. Telnyx calculates this time using ICMP ping messages. This can be disabled by specifying a site to handle all media.

Available options:
Latency,
Chicago, IL,
Ashburn, VA,
San Jose, CA,
Sydney, Australia,
Amsterdam, Netherlands,
London, UK,
Toronto, Canada,
Vancouver, Canada,
Frankfurt, Germany
Example:

"Amsterdam, Netherlands"

dtmf_type
enum<string>
default:RFC 2833

Sets the type of DTMF digits sent from Telnyx to this Connection. Note that DTMF digits sent to Telnyx will be accepted in all formats.

Available options:
RFC 2833,
Inband,
SIP INFO
Example:

"Inband"

first_command_timeout
boolean
default:false

Specifies whether calls to phone numbers associated with this connection should hangup after timing out.

Example:

true

first_command_timeout_secs
integer
default:30

Specifies how many seconds to wait before timing out a dial command.

Example:

10

voice_fallback_url
string<uri>

URL to which Telnyx will deliver your XML Translator webhooks if we get an error response from your voice_url.

Example:

"https://fallback.example.com"

call_cost_in_webhooks
boolean
default:false

Specifies if call cost webhooks should be sent for this TeXML Application.

voice_method
enum<string>
default:post

HTTP request method Telnyx will use to interact with your XML Translator webhooks. Either 'get' or 'post'.

Available options:
get,
post
Example:

"get"

status_callback
string<uri>

URL for Telnyx to send requests to containing information about call progress events.

Example:

"https://example.com"

status_callback_method
enum<string>
default:post

HTTP request method Telnyx should use when requesting the status_callback URL.

Available options:
get,
post
Example:

"get"

tags
string[]

Tags associated with the Texml Application.

Example:
inbound
object
outbound
object

Response

Successful response

data
Texml Application · object
Example: